#ifndef _WB_OVERVIEW_CONNECTIONS_H_
#define _WB_OVERVIEW_CONNECTIONS_H_

#include "wb_overview.h"

#include "grts/structs.db.mgmt.h"

namespace wb
{
  class ConnectionListNode : public OverviewBE::ContainerNode
  {
    std::string id;
    grt::ListRef<db_mgmt_Connection> _connections;

    bool add_new(WBContext *wb);
    
  public:
    ConnectionListNode(const grt::ListRef<db_mgmt_Connection> &connections);

    virtual void refresh_children();

    virtual std::string get_unique_id() { return id; }
  };
};

#endif /* _WB_OVERVIEW_CONNECTIONS_H_ */
